using System;

namespace Server.Scripts.Items
{
	public abstract class BaseFloor : Item
	{
		public BaseFloor( int itemID, int count ) : base( Utility.Random( itemID, count ) )
		{
			Movable = false;
		}

		public BaseFloor( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

	public class StonePaversLight : BaseFloor
	{
		[Constructable]
		public StonePaversLight() : base( 0x519, 4 )
		{
		}

		public StonePaversLight( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

	public class StonePaversMedium : BaseFloor
	{
		[Constructable]
		public StonePaversMedium() : base( 0x51D, 4 )
		{
		}

		public StonePaversMedium( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

	public class StonePaversDark : BaseFloor
	{
		[Constructable]
		public StonePaversDark() : base( 0x521, 4 )
		{
		}

		public StonePaversDark( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}