using System;
using Server.Items;
using Server.Network;
using Server.Scripts.Items;

namespace Server.Scripts.Items.Weapons.Ranged
{
	public class Bow : BaseRanged
	{
		[Constructable]
		public Bow() : base( 0xF42, 9, 41, 20, 0x234, 0x238, 12, SkillName.Archery, WeaponType.Ranged, WeaponAnimation.ShootBow, 0x13B2, Layer.TwoHanded )
		{
			Weight = 6.0;
		}

		public Bow( Serial serial ) : base( serial )
		{
		}

		public override bool OnFired( Mobile attacker, Mobile defender )
		{
			Container pack = attacker.Backpack;

			if ( pack != null )
			{
				Item arrow = pack.FindItemByType( typeof( Arrow ) );

				if ( arrow != null && !arrow.Deleted && arrow.Amount > 0 )
				{
					--arrow.Amount;

					if ( arrow.Amount == 0 )
						arrow.Delete();

					return base.OnFired( attacker, defender );
				}
			}

			return false;
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}