using System;
using Server;
using Server.Items;

namespace Server.Scripts.Misc
{
	public class Keywords
	{
		public static void Initialize()
		{
			// Register our speech handler
			EventSink.Speech += new SpeechEventHandler( EventSink_Speech );
		}

		public static void EventSink_Speech( SpeechEventArgs args )
		{
			Mobile from = args.Mobile;
			int[] keywords = args.Keywords;

			for ( int i = 0; i < keywords.Length; ++i )
			{
				switch ( keywords[i] )
				{
					case 0x0002: // *bank*
					{	// TODO: This should be in the Banker code, as to not bank-from-anywhere
						BankBox box = from.BankBox;

						if ( box != null )
							box.Open();

						break;
					}
					case 0x002A: // *i resign from my guild*
					{
						if ( from.Guild != null )
							from.Guild.RemoveMember( from );

						break;
					}
				}
			}
		}
	}
}