using System;
using Server.Targeting;

namespace Server.SkillHandlers
{
	public class Anatomy
	{
		public static void Initialize()
		{
			SkillInfo.Table[1].Callback = new SkillUseCallback( OnUse );
		}

		public static TimeSpan OnUse( Mobile m )
		{
			m.Target = new Anatomy.InternalTarget();
			m.RevealingAction();

			m.SendLocalizedMessage( 500321 ); // Whom shall I examine?

			return TimeSpan.FromSeconds( 10.0 );
		}

		private class InternalTarget : Target
		{
			public InternalTarget() :  base ( 5, false, TargetFlags.None )
			{
			}

			protected override void OnTarget( Mobile from, object targeted )
			{
				if ( targeted is Mobile )
				{
					Mobile targ = (Mobile)targeted;

					int strMod = targ.Str / 10;
					int dexMod = targ.Str / 10;

					if ( strMod < 0 ) strMod = 0;
					else if ( strMod > 10 ) strMod = 10;

					if ( dexMod < 0 ) dexMod = 0;
					else if ( dexMod > 10 ) dexMod = 10;

					if ( from.CheckSkill( SkillName.Anatomy, 0, 100 ) )
						from.SendLocalizedMessage( 1038045 + (strMod * 11) + dexMod ); // That looks [strong] and [dexterous].
					else
						from.SendLocalizedMessage( 1042666 ); // You can not quite get a sense of their physical characteristics.
				} 
				else 
				{
					from.SendLocalizedMessage( 500323 ); // Only living things have anatomies!
				}
			}
		}
	}
}


